Page MenuHomePhabricator

Remove Unsupported flag from T99 Scheduler
ClosedPublic

Authored by steleman on Nov 30 2017, 5:19 PM.

Details

Summary

This patch removes the Unsupported = 1 flag for the WriteAtomic WriteRes.

In practice, this patch has no effect on scheduling.

There is no test case as there already exists a comprehensive test case for LSE Atomics.

Diff Detail

Repository
rL LLVM

Event Timeline

steleman created this revision.Nov 30 2017, 5:19 PM
fhahn added a subscriber: fhahn.Dec 1 2017, 1:27 AM
fhahn accepted this revision.Jan 8 2018, 3:04 PM

Sorry I missed this one! LGTM, assuming you are happy with effect on ThunderX2!

This revision is now accepted and ready to land.Jan 8 2018, 3:04 PM

Sorry I missed this one! LGTM, assuming you are happy with effect on ThunderX2!

Thank you. Yes I am happy - because at least right now the effect is zero. :-)

fhahn added a comment.Jan 8 2018, 4:37 PM

Could you please prefix the title of the commit message with [AArch64]?

Could you please prefix the title of the commit message with [AArch64]?

Sure - I'll ask Joel to do that since I don't have commit privileges and it's usually Joel who does my commits for me.

Okay, I'll be sure to add "[AArch64]" when I do the commit.

This revision was automatically updated to reflect the committed changes.